org.apache.uima.cas.impl

## Class AnnotationBaseImpl

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.cas.impl.FeatureStructureImplC
    - - org.apache.uima.cas.impl.AnnotationBaseImpl

- All Implemented Interfaces:
    Cloneable, AnnotationBaseFS, FeatureStructure
  Direct Known Subclasses:
    AnnotationImpl

      public class AnnotationBaseImpl
      extends FeatureStructureImplC
      implements AnnotationBaseFS

  Class comment for AnnotationImpl.java goes here.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `addr, casImpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationBaseImpl()` Constructor for AnnotationImpl.
    `` | `AnnotationBaseImpl(int addr, CASImpl cas)` Constructor for AnnotationImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CAS` | `getView()` see org.apache.uima.cas.AnnotationBase#getView()
    `String` | `toString()`
    `String` | `toString(int indent)`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `equals, getAddress, getCAS, getCASImpl, hashCode`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Constructor Detail

    - #### AnnotationBaseImpl

          protected AnnotationBaseImpl()

      Constructor for AnnotationImpl.

    - #### AnnotationBaseImpl

          public AnnotationBaseImpl(int addr,
                                    CASImpl cas)

      Constructor for AnnotationImpl.
      Parameters:
        `addr` - -
        `cas` - -

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FeatureStructureImpl`

    - #### toString

          public String toString(int indent)

      Overrides:
        `toString` in class `FeatureStructureImpl`

    - #### getView

          public CAS getView()

      see org.apache.uima.cas.AnnotationBase#getView()
      Specified by:
        `getView` in interface `AnnotationBaseFS`
      Returns:
        the CAS view associated with the Annotation's Sofa

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.